Skip to content

Update bank account

PUT
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/parties/{party_id}/bank-accounts/{account_id}

Update an existing bank account.

party_id
required
Party Id
string format: uuid
account_id
required
Account Id
string format: uuid
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string
BankAccountUpdate

Update bank account schema.

object
bank_name
Any of:
string
<= 255 characters
bank_code
Any of:
string
<= 50 characters
branch_code
Any of:
string
<= 50 characters
branch_name
Any of:
string
<= 255 characters
account_name
Any of:
string
<= 255 characters
account_number
Any of:
string
<= 100 characters
iban
Any of:
string
<= 34 characters
swift_code
Any of:
string
<= 11 characters
currency_code
Any of:
string
<= 3 characters
is_primary
Any of:
boolean
Examples

Request payload example

{
"bank_name": "string",
"bank_code": "string",
"branch_code": "string",
"branch_name": "string"
}

Successful Response

Examples

200 response example

{
"status": "ok",
"message": "Request completed successfully."
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}